import Vue from 'vue'
import App from './App.vue'
import store from './store'
import i18n from './util/lang/lang'
import toastRegistry from './plugin/toast/index'
import loadingRegistry from './plugin/loading/index'
import loginPlugin from './plugin/login/index'

// import popupCharge from '@eosget/eosget-components/popup/charge/'
import popupRules from '@eosget/eosget-components/popup/rules/'
import popupVip from '@eosget/eosget-components/popup/vip/'
import popupValidate from '@/components/popup/validate'
// import balanceDetail from '@eosget/eosget-components/popup/detail/'

Vue.config.productionTip = false

Vue.use(toastRegistry)
Vue.use(loadingRegistry)
Vue.use(loginPlugin)

// Vue.use(popupCharge, store)
Vue.use(popupRules)
Vue.use(popupVip)
// Vue.use(balanceDetail)
Vue.use(popupValidate, store)

new Vue({
  render: h => h(App),
  store,
  i18n
}).$mount('#app')
